#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
puts "問題!"
puts "今の元号はなんでしょうか?"
puts "1: 昭和"
puts "2: 平成"
puts "3: 令和"
while true
  print "答を入力"
  kotae = gets.chomp.to_i
  if kotae == 1
    puts "ブブー!不正解"
    break
  elsif kotae == 2
    puts "ブブー!不正解"
    break
  elsif kotae == 3
    puts " ピンポーン!正解!!"
    break
  else
    puts "その選択肢はないよ!"
    redo
  end
end
